package net.rhuanrocha.mdbcallingejbclient.endpoint;

import net.rhuanrocha.mdbcallingejbclient.ejb.TestEjb;

import javax.inject.Inject;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.QueryParam;
import javax.ws.rs.core.Response;
import java.util.Optional;

@Path("/test")
public class TestEndpoint {

    @Inject
    private TestEjb testEjb;

    @GET
    public Response testEjb(@QueryParam("text") String text){

        testEjb.test(Optional.ofNullable(text).orElse("Text is null"));

        return Response.ok().build();
    }

    @GET
    @Path("/stateful")
    public Response testEjbStateful(@QueryParam("text") String text){

        testEjb.testStateful(Optional.ofNullable(text).orElse("Text is null"));

        return Response.ok().build();
    }
}
